# menu

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute            | Description | Type      | Default     |
| ------------------ | -------------------- | ----------- | --------- | ----------- |
| `dataMenuDonate`   | `data-menu-donate`   |             | `string`  | `undefined` |
| `dataMenuLanguage` | `data-menu-language` |             | `string`  | `undefined` |
| `logoLabel`        | `logo-label`         |             | `string`  | `undefined` |
| `logoUrl`          | `logo-url`           |             | `string`  | `undefined` |
| `menuType`         | `menu-type`          |             | `string`  | `'desktop'` |
| `open`             | `open`               |             | `boolean` | `true`      |

## Events

| Event                  | Description | Type               |
| ---------------------- | ----------- | ------------------ |
| `menuContainerToggled` |             | `CustomEvent<any>` |

## Dependencies

### Depends on

- [hy-site-logo](../../site-header/site-logo)
- [hy-menu-language](../menu-language)
- [hy-menu-mobile-breadcrumb](../menu-mobile-breadcrumb)

### Graph

```mermaid
graph TD;
  hy-menu --> hy-site-logo
  hy-menu --> hy-menu-language
  hy-menu --> hy-menu-mobile-breadcrumb
  hy-site-logo --> hy-icon
  hy-menu-language --> hy-menu-language-item
  hy-menu-language --> hy-icon
  hy-menu-mobile-breadcrumb --> hy-icon
  style hy-menu fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
